package com.zj365.dc.vm

import androidx.lifecycle.MutableLiveData
import com.alibaba.fastjson.JSONObject
import com.xty.base.vm.BaseVm
import com.xty.network.model.GoodsRecordsBean
import com.xty.network.model.RespBody
import com.xty.network.model.ShopCategoryBean

class ShopMallVm : BaseVm() {

    val categoryLiveDate by lazy { MutableLiveData<RespBody<MutableList<ShopCategoryBean>>>() }

    val goodsLiveData by lazy { MutableLiveData<RespBody<GoodsRecordsBean>>() }

    fun getGoodsCategory(parentId:Long){
        startHttp {
            var code = apiInterface().getGoodsCategory(parentId)
            code.getCodeStatus(categoryLiveDate, nowData)
        }
    }

    fun getGoodsList(prodName:String?,categoryId:Long,isRec:Int,pageSize:Int){
        startHttp {
            var json = JSONObject()
            prodName?.let {
                json.put("prodName",it)
            }
            json.put("categoryId",categoryId)
            json.put("isRec",isRec)
            json.put("pageSize",20)
            json.put("pageNum",pageSize)
            var code = apiInterface().getGoodsList(retrofits.getRequestBody(json.toString()))
            code.getCodeStatus(goodsLiveData, nowData)
        }
    }
}